subset.topo {oce} | R Documentation

## Subset a topo object

### Description

Subset a topo (topography) object

### Usage

    ## S4 method for signature 'topo'
    subset(x, subset, ...)

### Arguments

`x` | a `topo` object.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Details

This function is somewhat analogous to `subset.data.frame`. Subsetting can be by `time` or `distance`, but these may not be combined; use a sequence of calls to subset by both.

### Value

A new `topo` object.

### Author(s)

Dan Kelley

### Examples

    ## northern hemisphere
    library(oce)
    data(topoWorld)
    plot(subset(topoWorld, latitude > 0))

[Package oce version 0.9-18 Index]